#' PISA 2012 mathematics item - item block indicator matrix
#'
#' A dataset containing indicators associating those PISA 2012 mathematics items 
#' to the PISA 2012 mathematics item blocks.
#'
#' @format A data frame with 109 rows and 12 variables:
#' \describe{
#'   \item{item_name}{Item name.}
#'   \item{item_no}{Item numbers.}
#'   \item{block1}{Indicator specifying those items in block 1.}
#'   \item{block2}{Indicator specifying those items in block 2.}
#'   \item{block3}{Indicator specifying those items in block 3.}
#'   \item{block4}{Indicator specifying those items in block 4.}
#'   \item{block5}{Indicator specifying those items in block 5.}
#'   \item{block6}{Indicator specifying those items in block 6.}
#'   \item{block7}{Indicator specifying those items in block 7.}
#'   \item{block8}{Indicator specifying those items in block 8.}
#'   \item{block9}{Indicator specifying those items in block 9.}
#'   \item{block10}{Indicator specifying those items in block 10.}
#' }
#' @source PISA 2012 Technical Report, ANNEX A.
#'         Table A.1: PISA 2012 Main Survey mathematics item classification. 
#'         Pages 406 - 409.
#'         \url{https://www.oecd.org/pisa/pisaproducts/PISA-2012-technical-report-final.pdf}
#' 
"pisa2012_math_block"